{
  "extends": "@tsconfig/svelte",
  "compilerOptions": {
    "moduleResolution": "bundler",
    "target": "ESNext",
    "module": "ESNext",
    "resolveJsonModule": true,
    "strict": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "verbatimModuleSyntax": false,
    "baseUrl": ".",
    "paths": {
      "$lib": ["src/lib"],
      "$lib/*": ["src/lib/*"],
      "$lib/utils": ["src/lib/utils"],
      "$lib/utils/*": ["src/lib/utils/*"],
      "$lib/hooks": ["src/lib/hooks"],
      "$lib/hooks/*": ["src/lib/hooks/*"],
      "$lib/components": ["src/lib/components"],
      "$lib/components/*": ["src/lib/components/*"],
      "$lib/components/ui": ["src/lib/components/ui"],
      "$lib/components/ui/*": ["src/lib/components/ui/*"]
    }
  },
  "include": [
    "src/**/*.d.ts",
    "src/**/*.ts",
    "src/**/*.js",
    "src/**/*.svelte",
    "tests/**/*.ts",
    "vite.config.ts",
    "vitest.config.ts",
    "playwright.config.js"
  ]
}